<div class="body">
  <app-header titulo="Inicio" contenido="Este módulo lista todos los empleados de la empresa"></app-header>


  <div class="card-body">
    <div class="table-responsive">
      <table class="table table-bordered">
        <thead class="thead-dark">
          <tr class="card-header">

            <th><input type="text" class="form-control" placeholder="Escriba un filtro" [(ngModel)]="frmFiltro.primerNombre"></th>
            <th><input type="text" class="form-control" placeholder="Escriba un filtro" [(ngModel)]="frmFiltro.otrosNombres"></th>
            <th><input type="text" class="form-control" placeholder="Escriba un filtro" [(ngModel)]="frmFiltro.primerApellido"></th>
            <th><input type="text" class="form-control" placeholder="Escriba un filtro" [(ngModel)]="frmFiltro.segundoApellido"></th>
            <th>
              <select class="form-select" [(ngModel)]="frmFiltro.codTipoIdentificacion">
                <option value="">Seleccione</option>
                <option *ngFor="let item of listaTipoIdent" [value]="item.codTipoIdentificacion">{{item.nombre}}</option>
              </select>
            </th>
            <th><input type="text" class="form-control" placeholder="Escriba un filtro" [(ngModel)]="frmFiltro.numeroIdentificacion"></th>
            <th>
              <select class="form-select" [(ngModel)]="frmFiltro.codPais">
                <option value="">Seleccione</option>
                <option *ngFor="let item of listaPais" [value]="item.codPais">{{item.nombre}}</option>
              </select>
            </th>
            <th><input type="text" class="form-control" placeholder="Escriba un filtro" [(ngModel)]="frmFiltro.correoElectronico"></th>
            <th>
              <select class="form-select" [(ngModel)]="frmFiltro.estado">
                <option value="">Seleccione</option>
                <option value="ACT">Activo</option>
                <option value="INA">Inactivo</option>
              </select>
            </th>
            <th>
              <input type="button" class="btn btn-primary" value="Filtrar" (click)="escribirFiltro()">
            </th>

          </tr>
        </thead>
        <thead class="thead-dark">
          <tr>
            <th>Primer nombre</th>
            <th>Otros nombres</th>
            <th>Primer apellido</th>
            <th>Segundo apellido</th>
            <th>Tipo de identificación</th>
            <th>Número de identificación</th>
            <th>País del empleo</th>
            <th>Correo electrónico</th>
            <th>Estado</th>
            <th>Opciones</th>
          </tr>
        </thead>

        <tbody *ngIf="loading">
          <tr>
            <td colspan="10" class="text-center">
              <div class="spinner-border" role="status">
                <span class="visually-hidden">Loading...</span>
              </div>
            </td>
          </tr>
        </tbody>
        <tbody *ngIf="!loading">
          <tr *ngFor="let item of listaEmpleados">
            <td>{{item.primerNombre}}</td>
            <td>{{item.otrosNombres}}</td>
            <td>{{item.primerApellido}}</td>
            <td>{{item.segundoApellido}}</td>
            <td>{{item.codTipoIdentificacion!.nombre}}</td>
            <td>{{item.numeroIdentificacion}}</td>
            <td>{{item.codPais!.nombre}}</td>
            <td>{{item.correoElectronico}}</td>
            <td *ngIf="item.estado == 'ACT'">Activo</td>
            <td *ngIf="item.estado == 'INA'">Inactivo</td>
            <td>
              <div class="dropdown">
                <button class="btn btn-secondary dropdown-toggle" type="button" id="dropdownMenuButton1" data-bs-toggle="dropdown" aria-expanded="false">
                  Seleccione una opción
                </button>
                <ul class="dropdown-menu" aria-labelledby="dropdownMenuButton1">
                  <li><a class="dropdown-item" style="cursor: pointer;" [routerLink]="['/inicio/info',item.codEmpleado]">Ver</a></li>
                  <li><a class="dropdown-item" style="cursor: pointer;" [routerLink]="['/inicio/editar',item.codEmpleado]">Editar</a></li>
                  <li><a class="dropdown-item" style="cursor: pointer;" data-bs-toggle="modal" [attr.data-bs-target]="'#modal-'+item.codEmpleado">Eliminar</a></li>
                </ul>
              </div>


              <div class="modal fade" id="modal-{{item.codEmpleado}}" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
                <div class="modal-dialog modal-dialog-centered">
                  <div class="modal-content">
                    <div class="modal-header">
                      <h5 class="modal-title" id="exampleModalLabel">Eliminar {{item.primerNombre}} {{item.primerApellido}}</h5>
                      <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                    </div>
                    <div class="modal-body">
                      ¿Desea eliminar el empleado seleccionado?
                    </div>
                    <div class="modal-footer">
                      <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Cancelar</button>
                      <button type="button" class="btn btn-primary" (click)="eliminarEmpleado(item.codEmpleado)">Eliminar</button>
                    </div>
                  </div>
                </div>
              </div>
              <button id="closeModalButton" [hidden]="true" data-bs-toggle="modal" [attr.data-bs-target]="'#modal-'+item.codEmpleado" class="btn btn-default" data-bs-dismiss="modal">Close</button>

            </td>
          </tr>
          <tr *ngIf="listaEmpleados.length == 0">
            <td colspan="10" class="text-center">
              <h5>No hay ningún empleado registrado</h5>
            </td>
          </tr>
        </tbody>


      </table>
      <nav aria-label="Page navigation example">
        <ul class="pagination">
          <li class="page-item" (click)="anteriorTabla()">
            <a class="page-link" style="cursor: pointer;" aria-label="Previous">
              <span aria-hidden="true">&laquo;</span>
            </a>
          </li>
          <li class="page-item" [ngClass]="{'active': paginaActiva == item}" *ngFor="let item of cantidadPaginas" (click)="cambiarPagina(item)">
            <a class="page-link" style="cursor: pointer;">{{item + 1}}</a>
          </li>
          <li class="page-item" (click)="siguienteTabla()">
            <a class="page-link" style="cursor: pointer;" aria-label="Next">
              <span aria-hidden="true">&raquo;</span>
            </a>
          </li>
        </ul>
      </nav>
    </div>
  </div>

</div>